IncomingDataQueueBase(3)

NAME
IncomingDataQueueBase

SYNOPSIS

#include <queuebase.h>

Inherits RTPQueueBase.

Inherited by IncomingDataQueue.

  Public Member Functions

size_t getDefaultMaxRecvPacketSize () const
size_t getMaxRecvPacketSize () const
void setMaxRecvPacketSize (size_t maxsize)

Public Member Functions inherited from RTPQueueBase
bool setPayloadFormat (const PayloadFormat &pf)
Set the payload format in use, for timing and payload type identification purposes.
uint32 getLocalSSRC () const
uint32 getCurrentRTPClockRate () const
Get the clock rate in RTP clock units (for instance, 8000 units per second for PCMU, or 90000 units per second for MP2T).
PayloadType getCurrentPayloadType () const
timeval getInitialTime () const

  Protected Member Functions

IncomingDataQueueBase ()
virtual ~IncomingDataQueueBase ()

Protected Member Functions inherited from RTPQueueBase
RTPQueueBase (uint32 *ssrc=NULL)
void setLocalSSRC (uint32 ssrc)
uint32 getLocalSSRCNetwork () const
virtual ~RTPQueueBase ()
virtual size_t dispatchBYE (const std::string &)
A plugin point for posting of BYE messages.
virtual void renewLocalSSRC ()

Detailed Description

Author
    Federico Montesino Pouzols fedemp@altern.org

Constructor & Destructor Documentation

  IncomingDataQueueBase::IncomingDataQueueBase () [inline], [protected]

  virtual IncomingDataQueueBase::~IncomingDataQueueBase () [inline], [protected], [virtual]

Member Function Documentation

  size_t IncomingDataQueueBase::getDefaultMaxRecvPacketSize () const [inline]

  size_t IncomingDataQueueBase::getMaxRecvPacketSize () const [inline]

  void IncomingDataQueueBase::setMaxRecvPacketSize (size_t maxsize) [inline]

Parameters
    maxsize maximum length of received RTP data packets, in octets. Defaults to the value returned by getDefaultMaxRecvPacketSize().

Note
    This method sets a filter for incoming packets. Setting higher values does not necessarily imply higher memory usage (this method does not set any buffer size).

Author

Generated automatically by Doxygen for ccRTP from the source code.